Page MenuHomePhabricator

Puppet fail on deployment-mediawiki-07, missing private hiera variable
Closed, ResolvedPublic

Description

Got this on deployment-mediawiki-07:

filippo@deployment-mediawiki-07:~$ sudo puppet agent --test
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Error: Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation Error: Error while evaluating a Function Call, Could not find data item profile::mediawiki::php::monitoring::password in any Hiera data file and no default supplied at /etc/puppet/modules/profile/manifests/mediawiki/php/monitoring.pp:3:20 on node deployment-mediawiki-07.deployment-prep.eqiad.wmflabs
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

Though the variable is there:

root@deployment-puppetmaster03:/var/lib/git/labs/private(master u+25)# git grep -i php::monitoring
hieradata/common/profile/mediawiki/php/monitoring.yaml:profile::mediawiki::php::monitoring::salt: "9sBweWh0J"
hieradata/common/profile/mediawiki/php/monitoring.yaml:profile::mediawiki::php::monitoring::password: notarealpassword

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2018, 2:05 PM

Temporarily unblocked/fixed by adding said variables to "project puppet" hiera config in Horizon

Joe added a subscriber: Joe.Nov 28 2018, 8:15 AM

So to explain what happened here:

  • labs/private works a double function, as a dupe for the production puppet repo for the compiler (which uses the production hierarchy for hiera, so it uses private/common expanding the path of the file to search in. So for the compiler to work, we need to add the hieradata/common/profile/mediawiki/php/monitoring.yaml file
  • the same repo is also used as the "private" repo for Cloud VPS hosts, but without expanding paths. This creates a discrepancy.

This is yet another problem that would be properly fixed by implementing T161675

GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM
mobrovac closed this task as Resolved.Wed, Oct 2, 6:32 AM
mobrovac assigned this task to fgiunchedi.
mobrovac added a subscriber: mobrovac.

Puppet is running fine there, closing.